Bug 172045 - avahi-browse with a "wrong" domainame ends in a traceback
avahi-browse with a "wrong" domainame ends in a traceback
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-29 17:18 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: avahi-0.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 13:49:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-10-29 17:18:08 EDT
Description of problem:

# avahi-browse -a -d .local
Browsing domain '.local' on any.0 ...
Traceback (most recent call last):
  File "/usr/bin/avahi-browse", line 161, in ?
    browse_domain(avahi.IF_UNSPEC, avahi.PROTO_UNSPEC, domain)
  File "/usr/bin/avahi-browse", line 134, in browse_domain
    b = dbus.Interface(bus.get_object(avahi.DBUS_NAME,
server.ServiceTypeBrowserNew(interface, protocol, domain)),
avahi.DBUS_INTERFACE_SERVICE_TYPE_BROWSER)
  File "/usr/lib64/python2.4/site-packages/dbus/proxies.py", line 64, in __call__
    reply_message = self._connection.send_with_reply_and_block(message, timeout)
  File "dbus_bindings.pyx", line 395, in
dbus_bindings.Connection.send_with_reply_and_block
dbus_bindings.DBusException: Invalid domain name

If this is a really an invalid domain name then a tool could simply say that
instead of throwing up a traceback.  Even better would be an information which
names are valid.

Version-Release number of selected component (if applicable):
avahi-0.5.2-3

How reproducible:
always
Comment 1 Jason Vas Dias 2005-11-30 13:49:44 EST
This bug is now fixed with avahi-0.6+ .

Note You need to log in before you can comment on or make changes to this bug.